%define dist_version 9
%define gpname ghiapet-release

Name:		ghiapet-release-replace
Version:	9.0
Release:	4%{?dist}
Summary:	GhiaPet release files

Group:		System Environment/Base
License:	GPL
URL:		http://www.ghiapet.net/
Source0:	http://www.ghiapet.net/%{gpname}-%{version}.tar.gz
Provides:	ghiapet-release = %{version}-%{release}
Provides:	system-release = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
# Requires:	fedora-release = 9
Obsoletes:	ghiapet-release <= 9.0
Conflicts:	ghiapet-release-add

%description
GhiaPet release files such as yum configs and various /etc/ files that
define the release.

%prep
%setup -q -n %{gpname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "GhiaPet release %{version}" > $RPM_BUILD_ROOT/etc/ghiapet-release
# cp -p $RPM_BUILD_ROOT/etc/ghiapet-release $RPM_BUILD_ROOT/etc/issue
# echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
# cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
# echo >> $RPM_BUILD_ROOT/etc/issue
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
	install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in ghiapet*.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

install -d -m 755 $RPM_BUILD_ROOT/etc/smart/channels
for file in ghiapet*.channel ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/smart/channels
done

install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}
# for file in compose/*; do
#	install -m 644 $file $RPM_BUILD_ROOT/%{_datadir}/%{name}
# done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fedora		%{dist_version}
%%dist		%{dist}
%%fc%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/ghiapet-release
/etc/redhat-release
/etc/system-release
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%dir /etc/smart
%dir /etc/smart/channels
%config(noreplace) /etc/smart/channels/*
%config %attr(0644,root,root) /etc/rpm/macros.dist
# %%dir %{_datadir}/%{name}
# %{_datadir}/%{name}/*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*


%changelog
* Wed Jun 25 2008 J. Randall Owens <jrowens@ghiapet.net> - 9.0-3
- Split into replacement and addon versions

* Mon Jun 23 2008 J. Randall Owens <jrowens@ghiapet.net> - 9.0-1
- Initial GhiaPet build

